import { Menu, MenuButton, MenuItem, MenuItems } from '@headlessui/react'
import Link from 'next/link'

export default function TailwindDropdown({ title, image, data }) {
    return (
        <Menu as="div" className="relative inline-block text-left">
            <div>
                <MenuButton className="flex gap-16 items-center justify-between">
                    <p className='text-tertiary text-sm mt-2'>{title}</p>
                    <img src={image} alt="" />
                </MenuButton>
            </div>

            <MenuItems
                transition
                className="absolute right-0 z-10 lg:mt-7 w-56 origin-top-right rounded-md bg-white shadow-lg ring-1 ring-black ring-opacity-5 transition focus:ring-0 data-[closed]:scale-95 data-[closed]:transform data-[closed]:opacity-0 data-[enter]:duration-100 data-[leave]:duration-75 data-[enter]:ease-out data-[leave]:ease-in"
            >
                <div className="py-1">
                    {data.map(item => (
                        <MenuItem key={item}>
                            <Link href="/" className="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">{item}</Link>
                        </MenuItem>
                    ))}
                </div>
            </MenuItems>
        </Menu>
    )
}
